Subject: Re: bug#34939: Some minibuffer behaviour is annoying

From: Juri Linkov <[email-masked]>
Date: Wed, 03 Apr 2019 23:50:37 +0300

>> It's impossible to override ‘message’ with something like
>>
>> ...
>>
>> because ‘minibuffer-message’ has ‘message’ calls
>> and this goes into infinite recursion.
>
> We could change minibuffer-message and introduce a new function that would
> do "raw" output, to be used in there. And in 'message' too.

IOW, using the same design as discussed for i18n where gettext
is called from a subfunction format-message, not from 'message'.